summaryrefslogtreecommitdiffstats
path: root/cobra/index.sh
diff options
context:
space:
mode:
authorroot <root@krebs>2011-06-29 21:06:26 +0200
committerroot <root@krebs>2011-06-29 21:06:26 +0200
commitdbad0afe8d4da3577c0fa5842ebcd6e4dac91525 (patch)
tree197369698f1ab0d2c428df0288d6995a1d40e9dd /cobra/index.sh
parent2a58f1af8074963ccbeec13a10811fefe2ceb113 (diff)
parent8f900fff02ac22ba87c35e6745af11c0b8d98855 (diff)
Merge branch 'master' of github.com:/krebscode/painload
Diffstat (limited to 'cobra/index.sh')
-rwxr-xr-xcobra/index.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/cobra/index.sh b/cobra/index.sh
new file mode 100755
index 00000000..1118a823
--- /dev/null
+++ b/cobra/index.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+set -euf
+trap "echo 'You are made of stupid!' >&2; exit 23" EXIT
+
+COBRA_PATH="${COBRA_PATH-$PWD}"
+
+## main
+for target; do
+ for path in $COBRA_PATH; do
+ if test -d "$path/$target"; then
+ if index="$path/$target/index.sh" && test -f "$index"; then
+ exec /bin/sh "$index"
+ fi
+ fi
+ done
+done